"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.createQueryWithHistoryAutocompleter = void 0;
const query_history_autocompleter_1 = require("./query-history-autocompleter");
const query_autocompleter_1 = require("./query-autocompleter");
const createQueryWithHistoryAutocompleter = (recentQueries, options = {}, onApply) => {
    const queryHistoryAutocompleter = (0, query_history_autocompleter_1.createQueryHistoryAutocompleter)(recentQueries, onApply);
    const originalQueryAutocompleter = (0, query_autocompleter_1.createQueryAutocompleter)(options);
    return function fullCompletions(context) {
        if (context.state.doc.toString() !== '{}')
            return originalQueryAutocompleter(context);
        return queryHistoryAutocompleter(context);
    };
};
exports.createQueryWithHistoryAutocompleter = createQueryWithHistoryAutocompleter;
//# sourceMappingURL=query-autocompleter-with-history.js.map